Skip to main content
PATCH
/
v1
/
api
/
me
/
connect
/
integrations
/
{integrationId}
Update an integration (provide apiKey only to rotate credentials)
curl --request PATCH \
  --url http://service.authmatech.com/v1/api/me/connect/integrations/{integrationId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "displayName": "<string>",
  "endpointUrl": "<string>",
  "httpMethod": "<string>",
  "apiKey": "<string>",
  "status": "<string>",
  "triggerEvent": "<string>",
  "fieldMappings": {},
  "batchSize": 123,
  "matchedOnly": true
}
'
{}

Authorizations

X-API-KEY
string
header
required

Path Parameters

integrationId
string
required

Body

application/json
displayName
string
endpointUrl
string
httpMethod
string
apiKey
string
status
string
triggerEvent
string
fieldMappings
object
batchSize
integer<int32>
matchedOnly
boolean

Response

200 - */*

OK

The response is of type object.